Bug 1003799 - SELinux polkit id error
SELinux polkit id error
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.4
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 05:11 EDT by Laura Novich
Modified: 2016-01-26 20:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 09:32:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Novich 2013-09-03 05:11:34 EDT
Description of problem:
SELinux is preventing /usr/libexec/polkit-1/polkitd from 'read' accesses on the file /var/lib/sss/mc/passwd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that polkitd should be allowed read access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep polkitd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:policykit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sssd_var_lib_t:s0
Target Objects                /var/lib/sss/mc/passwd [ file ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-1.9.2-82.7.el6_4.x86_64
Policy RPM                    selinux-policy-3.7.19-195.el6_4.12.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux remote.hypervisor 2.6.32-279.19.1.el6.x86_64
                              #1 SMP Sat Nov 24 14:35:28 EST 2012 x86_64 x86_64
Alert Count                   544
First Seen                    Tue 03 Sep 2013 03:40:51 AM IDT
Last Seen                     Tue 03 Sep 2013 12:05:43 PM IDT
Local ID                      7e193ef4-994a-49d8-abc7-9cea2e2e6fde

Raw Audit Messages
type=AVC msg=audit(1378199143.277:42930): avc:  denied  { read } for  pid=3374 comm="polkitd" name="passwd" dev=dm-1 ino=782853 scontext=system_u:system_r:policykit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=file


type=SYSCALL msg=audit(1378199143.277:42930): arch=x86_64 syscall=open success=no exit=EACCES a0=d6f8d0 a1=80000 a2=0 a3=17 items=0 ppid=1 pid=3374 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=polkitd exe=2F7573722F6C6962657865632F706F6C6B69742D312F706F6C6B697464202864656C6574656429 subj=system_u:system_r:policykit_t:s0-s0:c0.c1023 key=(null)

Hash: polkitd,policykit_t,sssd_var_lib_t,file,read

audit2allow

#============= policykit_t ==============
allow policykit_t sssd_var_lib_t:file read;

audit2allow -R

#============= policykit_t ==============
allow policykit_t sssd_var_lib_t:file read;



Version-Release number of selected component (if applicable):


How reproducible:
Happens each time machine boots

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
I expect no error


Additional Information:
Source Context                system_u:system_r:policykit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sssd_var_lib_t:s0
Target Objects                /var/lib/sss/mc/passwd [ file ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-1.9.2-82.7.el6_4.x86_64
Policy RPM                    selinux-policy-3.7.19-195.el6_4.12.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux remote.hypervisor 2.6.32-279.19.1.el6.x86_64
                              #1 SMP Sat Nov 24 14:35:28 EST 2012 x86_64 x86_64
Alert Count                   544
First Seen                    Tue 03 Sep 2013 03:40:51 AM IDT
Last Seen                     Tue 03 Sep 2013 12:05:43 PM IDT
Local ID                      7e193ef4-994a-49d8-abc7-9cea2e2e6fde
Comment 2 Miroslav Grepl 2013-09-03 05:59:28 EDT
#============= policykit_t ==============

#!!!! This avc is allowed in the current policy
allow policykit_t sssd_var_lib_t:file read;

We allow it in Fedora.
Comment 3 Miroslav Grepl 2013-09-06 05:58:13 EDT
Well we allow it in the latest RHEL6.5.

Note You need to log in before you can comment on or make changes to this bug.